elftosb::EncoreBootImageGenerator Class Reference

Generator for Encore boot images. More...

`#include <EncoreBootImageGenerator.h>`

Inheritance diagram for elftosb::EncoreBootImageGenerator:
[legend]
Collaboration diagram for elftosb::EncoreBootImageGenerator:
[legend]

## Public Member Functions

| EncoreBootImageGenerator ()
| Default constructor.
virtual BootImage * | generate ()
| Builds the resulting boot image from previously added output sections.
void | setSupportHAB (bool supportHAB)
| Enable or disable HAB support.
Public Member Functions inherited from elftosb::BootImageGenerator
| BootImageGenerator ()
| Constructor.
virtual | ~BootImageGenerator ()
| Destructor.
void | addOutputSection (OutputSection *section)
| Add another section to the output.
void | setOptionContext (OptionContext *context)
| Set the global option context.

## Protected Member Functions

void | processOptions (EncoreBootImage *image)
void | processSectionOptions (EncoreBootImage::Section *imageSection, OutputSection *modelSection)
void | processOperationSection (OperationSequenceSection *section, EncoreBootImage *image)
void | processDataSection (BinaryDataSection *section, EncoreBootImage *image)
void | processLoadOperation (LoadOperation *op, EncoreBootImage::BootSection *section)
void | processExecuteOperation (ExecuteOperation *op, EncoreBootImage::BootSection *section)
void | processBootModeOperation (BootModeOperation *op, EncoreBootImage::BootSection *section)
void | processFlashEraseOperation (FlashEraseOperation *op, EncoreBootImage::BootSection *section)
void | processResetOperation (ResetOperation *op, EncoreBootImage::BootSection *section)
void | processMemEnableOperation (MemEnableOperation *op, EncoreBootImage::BootSection *section)
void | processProgramOperation (ProgramOperation *op, EncoreBootImage::BootSection *section)
void | processKeywrapOperation (KeywrapOperation *op, EncoreBootImage::BootSection *section)
void | processEncryptOperation (EncryptOperation *op, EncoreBootImage::BootSection *section)
void | setFillPatternFromValue (EncoreBootImage::FillCommand &command, SizedIntegerValue &pattern)
Protected Member Functions inherited from elftosb::BootImageGenerator
void | processVersionOptions (BootImage *image)
| Handle common product and component version options.
void | processDriveTagOption (BootImage *image)
| Handle the common option which sets the system drive tag.

## Protected Attributes

bool | m_supportHAB
| True if HAB features are enabled.
Keyblob * | m_encryptKeyBlob
| Keyblob to use during load if encrypting for OTFAD.
Protected Attributes inherited from elftosb::BootImageGenerator
section_vector_t | m_sections
| Requested output sections.
OptionContext * | m_options
| Global option context.

## Additional Inherited Members

Protected Types inherited from elftosb::BootImageGenerator
typedef std::vector< OutputSection * > | section_vector_t
| Type for a list of model output sections.

## Detailed Description

Generator for Encore boot images.

Takes the abstract model of the output file and processes it into a concrete boot image for the STMP37xx.

In order to enable full i.mx28 support, you must call the setSupportHAB() method and pass true.

The documentation for this class was generated from the following files:

- EncoreBootImageGenerator.h
- EncoreBootImageGenerator.cpp